API Authorization
TrackDrive allows using both basic and token authentication to secure API requests.
Company Access Tokens use basic authorization, which requires users or applications to provide a valid set of credentials, including a public and private key combination that is included in the Authorization header of an API request. They provide granular permissions for each keypair, allowing for more fine-grained control over API access.
Developer Access Tokens use token authorization, which requires users or applications to provide a valid auth_token in the Authorization header of an API request. They grant access based on the user's existing permissions, including access to companies the user has permission to access.
Basic authorization includes a base64-encoded public and private key combination would look like this:
curl -H "Authorization: Basic BASE64_ENCODED_PUBLIC_KEY_AND_PRIVATE_KEY" https://subdomain.trackdrive.com/api/v1/resource
Replace BASE64_ENCODED_PUBLIC_KEY_AND_PRIVATE_KEY with the base64 encoded string of your public key and private key separated by a colon. For example, if your public key is user and private key is pass, you can use the following command to generate the encoded string:
echo -n 'tdpub1234:tdprv1234' | base64
This will output the encoded string dXNlcjpwYXNz. So the final curl command will look like this:
curl -H "Authorization: Basic dXNlcjpwYXNz" https://subdomain.trackdrive.com/api/v1/resource
Note that the -n option is used with echo to remove the trailing newline character from the output.
AI Agent API resource for managing AI Agents.
| Resource | Description |
|---|---|
| GET /api/v1/voice_agents | List all AI Agents available to the authenticated company. |
| GET /api/v1/voice_agents/new | Return a new AI Agent object pre-populated with default values (not persisted). |
| POST /api/v1/voice_agents | Create a new AI Agent with the provided attributes. |
| GET /api/v1/voice_agents/:id | Retrieve a single AI Agent by its unique ID. |
| PUT /api/v1/voice_agents/:id | Update an existing AI Agent by its unique ID. |
| DELETE /api/v1/voice_agents/:id | Delete an AI Agent by its unique ID. This will soft-delete the record unless permanently removed. |
AI Field API resource for managing AI Field.
| Resource | Description |
|---|---|
| GET /api/v1/voice_agent_fields | List AI Field records. |
| GET /api/v1/voice_agent_fields/new | Build AI Field with defaults. |
| POST /api/v1/voice_agent_fields | Create AI Field. |
| GET /api/v1/voice_agent_fields/:id | Get AI Field by id. |
| PUT /api/v1/voice_agent_fields/:id | Update AI Field by id. |
| DELETE /api/v1/voice_agent_fields/:id | Destroy AI Field by id. |
AI Flow API resource for managing AI Flows, which define how an AI Agent behaves in a specific call step.
| Resource | Description |
|---|---|
| GET /api/v1/voice_agent_flows | List all AI Flows for the authenticated company. |
| GET /api/v1/voice_agent_flows/new | Return a new AI Flow object pre-populated with default values (not persisted). |
| POST /api/v1/voice_agent_flows | Create a new AI Flow with the provided attributes. |
| GET /api/v1/voice_agent_flows/:id | Retrieve a single AI Flow by its unique ID. |
| PUT /api/v1/voice_agent_flows/:id | Update an existing AI Flow by its unique ID. |
| DELETE /api/v1/voice_agent_flows/:id | Delete an AI Flow by its unique ID. This will soft-delete the record unless permanently removed. |
AI Keyword Rule API resource for managing AI Keyword Rules.
| Resource | Description |
|---|---|
| GET /api/v1/voice_agent_keywords | List AI Keyword Rule records. |
| GET /api/v1/voice_agent_keywords/new | Build AI Keyword Rule with defaults. |
| POST /api/v1/voice_agent_keywords | Create AI Keyword Rule. |
| GET /api/v1/voice_agent_keywords/:id | Get AI Keyword Rule by id. |
| PUT /api/v1/voice_agent_keywords/:id | Update AI Keyword Rule by id. |
| DELETE /api/v1/voice_agent_keywords/:id | Destroy AI Keyword Rule by id. |
Action Group API resource for managing Action Group.
| Resource | Description |
|---|---|
| GET /api/v1/schedule_action_groups | List Action Group records. |
| GET /api/v1/schedule_action_groups/new | Build Action Group with defaults. |
| POST /api/v1/schedule_action_groups | Create Action Group. |
| GET /api/v1/schedule_action_groups/:id | Get Action Group by id. |
| PUT /api/v1/schedule_action_groups/:id | Update Action Group by id. |
| DELETE /api/v1/schedule_action_groups/:id | Destroy Action Group by id. |
Agent Message API resource for managing Agent Message.
| Resource | Description |
|---|---|
| GET /api/v1/agent_messages | List Agent Message records. |
| GET /api/v1/agent_messages/new | Build Agent Message with defaults. |
| POST /api/v1/agent_messages | Create Agent Message. |
| GET /api/v1/agent_messages/:id | Get Agent Message by id. |
| PUT /api/v1/agent_messages/:id | Update Agent Message by id. |
| DELETE /api/v1/agent_messages/:id | Destroy Agent Message by id. |
Agent Wizard API resource for managing Agents created via the Agent Wizard.
| Resource | Description |
|---|---|
| GET /api/v1/schedule_agents | List Agent Wizard records. |
| GET /api/v1/schedule_agents/new | Build Agent Wizard record with defaults. |
| POST /api/v1/schedule_agents | Create Agent with Wizard. |
| GET /api/v1/schedule_agents/:id | Get Agent Wizard record by id. |
| PUT /api/v1/schedule_agents/:id | Update Agent Wizard record by id. |
| DELETE /api/v1/schedule_agents/:id | Destroy Agent Wizard record by id. |
Agents: Call Actions API resource for managing Call Action.
| Resource | Description |
|---|---|
| GET /api/v1/call_control_actions | List Call Action records. |
| GET /api/v1/call_control_actions/new | Build Call Action with defaults. |
| POST /api/v1/call_control_actions | Create Call Action. |
| GET /api/v1/call_control_actions/:id | Get Call Action by id. |
| PUT /api/v1/call_control_actions/:id | Update Call Action by id. |
| DELETE /api/v1/call_control_actions/:id | Destroy Call Action by id. |
Agents: Call Centers API resource for managing Call Centers.
| Resource | Description |
|---|---|
| GET /api/v1/call_centers | List Call Center records. |
| GET /api/v1/call_centers/new | Build Call Center with defaults. |
| POST /api/v1/call_centers | Create Call Center. |
| GET /api/v1/call_centers/:id | Get Call Center by id. |
| PUT /api/v1/call_centers/:id | Update Call Center by id. |
| DELETE /api/v1/call_centers/:id | Destroy Call Center by id. |
Agents: Call Dispositions API resource for managing Call Disposition.
| Resource | Description |
|---|---|
| GET /api/v1/call_dispositions | List Call Disposition records. |
| GET /api/v1/call_dispositions/new | Build Call Disposition with defaults. |
| POST /api/v1/call_dispositions | Create Call Disposition. |
| GET /api/v1/call_dispositions/:id | Get Call Disposition by id. |
| PUT /api/v1/call_dispositions/:id | Update Call Disposition by id. |
| DELETE /api/v1/call_dispositions/:id | Destroy Call Disposition by id. |
Billing API resource for viewing billing information.
| Resource | Description |
|---|---|
| GET /api/v1/charge_rollups | List billing records. |
Blacklist: Clear Blacklist API resource for removing all numbers from your blacklist.
| Resource | Description |
|---|---|
| GET /api/v1/unblock_contact_jobs | List Clear Blacklist records. |
| GET /api/v1/unblock_contact_jobs/new | Build Clear Blacklist with defaults. |
| POST /api/v1/unblock_contact_jobs | Create Clear Blacklist. |
| GET /api/v1/unblock_contact_jobs/:id | Get Clear Blacklist by id. |
| DELETE /api/v1/unblock_contact_jobs/:id | Destroy Clear Blacklist by id. |
Blacklist: Files API resource for uploading blacklist files.
| Resource | Description |
|---|---|
| GET /api/v1/contact_imports | List Blacklist File records. |
| GET /api/v1/contact_imports/new | Build Blacklist File with defaults. |
| POST /api/v1/contact_imports | Create Blacklist File. |
| GET /api/v1/contact_imports/:id | Get Blacklist File by id. |
| PUT /api/v1/contact_imports/:id | Update Blacklist File by id. |
Buyer Fleet The Buyer Fleets in your account.
| Resource | Description |
|---|---|
| GET /api/v1/buyer_fleets | List Buyer Fleet records. |
| GET /api/v1/buyer_fleets/:id | Get an individual Buyer Fleet by id |
| POST /api/v1/buyer_fleets/:id | Create Buyer Fleet. |
| PUT /api/v1/buyer_fleets/:id | Update an individual Buyer Fleet |
| DELETE /api/v1/buyer_fleets/:id | Destroy an individual Buyer Fleet. |
Buyer Group The Buyer Groups in your account.
| Resource | Description |
|---|---|
| GET /api/v1/buyer_groups | List Buyer Group records. |
| GET /api/v1/buyer_groups/:id | Get an individual Buyer Group by id |
| POST /api/v1/buyer_groups/:id | Create Buyer Group. |
| PUT /api/v1/buyer_groups/:id | Update an individual Buyer Group |
| DELETE /api/v1/buyer_groups/:id | Destroy an individual Buyer Group. |
Buyers API resource for managing Buyer.
| Resource | Description |
|---|---|
| GET /api/v1/buyers | List the buyers in your Trackdrive account. |
| GET /api/v1/buyers/:id | Get a buyer record by Trackdrive's internal ID. |
| GET /api/v1/buyers/:user_buyer_id/by_user_buyer_id | Get a buyer record by your own external ID for the buyer. |
| PUT /api/v1/buyers/:id | Update a buyer with Trackdrive's internal ID. |
| GET /api/v1/buyers/new | Build buyer with defaults. |
| POST /api/v1/buyers | Create a buyer. |
| DELETE /api/v1/buyers/:id | Delete a buyer with Trackdrive's internal ID. |
Calls The phone calls that have been made to and from your account.
| Resource | Description |
|---|---|
| GET /api/v1/calls | List calls. |
| GET /api/v1/calls/:caller_number/by_caller_number | List calls by caller number. |
| GET /api/v1/calls/live_calls | List ongoing live calls. |
| GET /api/v1/calls/reports | Get statistics on calls by category. |
| GET /api/v1/calls/stats | Get statistics on calls by category and interval. |
| POST /api/v1/calls | Make an outbound phone call. |
| GET /api/v1/calls/:id | Get a call by id or uuid. |
| GET /api/v1/calls/:id/events | Advanced Call Analysis provides detailed event logs of telephonic interactions. This feature captures an array of events including call channels, agent interactions, outgoing HTTP requests, buyer pings, call recordings, and more. Each advanced call analysis request incurs a usage charge billed at your account's Per Advanced Call Analysis Rate. The default rate is 0.0002/request. |
| POST /api/v1/calls/:id | Update a call by Call ID or Call UUID with contact fields, revenue, payout, and more. |
| POST /api/v1/calls/update_by_caller_id/:caller_id | Update a call's revenue and buyer_converted using the call's caller_id and offer_token |
| POST /api/v1/calls/send_key_press | Send a Key Press to trigger a key press flow. |
| DELETE /api/v1/calls/:id | Hang up an ongoing call. |
Calls By Third-Party This resource allows third-party users to update calls using td_secure_token and td_uuid passed in a call's SIP headers. These endpoints do not require authentication with a auth_token
| Resource | Description |
|---|---|
| PUT /api/v1/secure/:secure_token/calls/:uuid | Update a call with td_secure_token and td_uuid passed in a call's SIP headers. |
| DELETE /api/v1/secure/:secure_token/calls/:uuid | Hang up an ongoing call using a td_secure_token and td_uuid passed in a call's SIP headers. |
| GET /api/v1/secure/:secure_token/calls/:uuid/data | Returns UUID and data for the call. |
Calls: Logs Get the logs for a call.
| Resource | Description |
|---|---|
| GET /api/v1/call_logs | Get the logs for a call. |
Calls: Recording Retention API resource for managing Call Recording Retention.
| Resource | Description |
|---|---|
| GET /api/v1/call_recording_rules | List Call Recording Retention records. |
| GET /api/v1/call_recording_rules/new | Build Call Recording Retention with defaults. |
| POST /api/v1/call_recording_rules | Create Call Recording Retention. |
| GET /api/v1/call_recording_rules/:id | Get Call Recording Retention by id. |
| PUT /api/v1/call_recording_rules/:id | Update Call Recording Retention by id. |
| DELETE /api/v1/call_recording_rules/:id | Destroy Call Recording Retention by id. |
Calls: Scheduled Callbacks The Scheduled Callbacks in your account. Calls will be placed to leads when the callback matches.
| Resource | Description |
|---|---|
| GET /api/v1/scheduled_callbacks | List scheduled callbacks. |
| GET /api/v1/scheduled_callbacks/new | Returns a new Scheduled Callback |
| POST /api/v1/scheduled_callbacks | Create a Scheduled Callback |
| GET /api/v1/scheduled_callbacks/:id | Returns a Scheduled Callback by ID |
| PUT /api/v1/scheduled_callbacks/:id | Updates a Scheduled Callback by ID |
| DELETE /api/v1/scheduled_callbacks/:id | Delete a Scheduled Callback by ID |
Collections Fetch various collections used in the Trackdrive Interface.
| Resource | Description |
|---|---|
| GET /api/v1/collections/:type | Get a collection. |
Contacts & Blacklist The contacts that have dialed your numbers.
| Resource | Description |
|---|---|
| GET /api/v1/contacts/suppression_list | List contacts on your company blacklist. |
| POST /api/v1/contacts/:caller_id/caller_block | Add a caller_id to your company blacklist, preventing all inbound and outbound interactions. |
| POST /api/v1/contacts/:caller_id/caller_unblock | Remove a caller from your company blacklist. |
| GET /api/v1/contacts/:id | Get details about a contact. |
| PUT /api/v1/contacts/:id | Update a contact |
| DELETE /api/v1/contacts/:id/calls | Hang up all the ongoing calls from a contact. |
DNC Check Log API resource for managing DNC Check Log.
| Resource | Description |
|---|---|
| GET /api/v1/dnc_check_logs | List DNC Check Log records. |
Data Append API resource for appending data. This incurs a per API request usage charge on your company.
| Resource | Description |
|---|---|
| GET /api/v1/data_appends | List of data appends. |
| GET /api/v1/data_appends/new | Build a new data append with default attributes. |
| POST /api/v1/data_appends | Create a data append. |
| GET /api/v1/data_appends/:id | Get details about a data append. |
| PUT /api/v1/data_appends/:id | Update a data append. |
| DELETE /api/v1/data_appends/:id | Destroy a data append. |
| POST /api/v1/data_append | Request data for caller number. This incurs a per API request usage charge on your company based on data type requested. |
Data Append Group API resource for managing Data Append Group.
| Resource | Description |
|---|---|
| GET /api/v1/data_append_groups | List Data Append Group records. |
| GET /api/v1/data_append_groups/new | Build Data Append Group with defaults. |
| POST /api/v1/data_append_groups | Create Data Append Group. |
| GET /api/v1/data_append_groups/:id | Get Data Append Group by id. |
| PUT /api/v1/data_append_groups/:id | Update Data Append Group by id. |
| DELETE /api/v1/data_append_groups/:id | Destroy Data Append Group by id. |
Data Exports: Parts API resource for managing Data Export Parts.
| Resource | Description |
|---|---|
| GET /api/v1/data_export_records | List Data Export Parts records. |
| GET /api/v1/data_export_records/:id | Get Data Export Parts by id. |
Datasets
| Resource | Description |
|---|---|
| GET /api/v1/datasets | Get datasets |
| GET /api/v1/datasets/calls/:stat | Get call datasets |
| GET /api/v1/datasets/leads/:stat | Get call datasets |
| GET /api/v1/datasets/billing | Get the billing dataset |
| GET /api/v1/datasets/number_impressions | Get the number impression dataset |
Impressions The impressions recorded by the advertising optimizer.
| Resource | Description |
|---|---|
| GET /api/v1/impressions | Advertising optimizer impressions. |
Integration API resource for managing Integrations.
| Resource | Description |
|---|---|
| GET /api/v1/integrations | List Integration records. |
| PUT /api/v1/integrations/objects/:id | Update the status of an Integration Object. |
| GET /api/v1/integrations/new | Build Integration with defaults. |
| POST /api/v1/integrations | Create Integration. |
| GET /api/v1/integrations/:id | Get Integration by id. |
| PUT /api/v1/integrations/:id | Update Integration by id. |
| DELETE /api/v1/integrations/:id | Destroy Integration by id. |
Keyword Group API resource for managing Keyword Group.
| Resource | Description |
|---|---|
| GET /api/v1/transcription_keyword_groups | List Keyword Group records. |
| GET /api/v1/transcription_keyword_groups/new | Build Keyword Group with defaults. |
| POST /api/v1/transcription_keyword_groups | Create Keyword Group. |
| GET /api/v1/transcription_keyword_groups/:id | Get Keyword Group by id. |
| PUT /api/v1/transcription_keyword_groups/:id | Update Keyword Group by id. |
| DELETE /api/v1/transcription_keyword_groups/:id | Destroy Keyword Group by id. |
Lead & Call Logs A lead & call log of changes to records in your Trackdrive account.
| Resource | Description |
|---|---|
| GET /api/v1/change_logs | List Change Log records. |
| GET /api/v1/change_logs/:id | Get Change Log by id. |
Lead By Third-Party Submit and manage the leads in your Trackdrive account from anywhere with CORS fully whitelisted. These endpoints allow you to submit or opt-out leads using AJAX on behalf of a user visiting your website.
| Resource | Description |
|---|---|
| POST /api/v1/leads | Send leads to your Trackdrive account. |
| POST /api/v1/leads/create_or_update | Create a new lead if no active lead exists on the offer, or update the existing active lead. |
| PUT /api/v1/leads/:caller_id/caller_opt_out | Mark a single lead as opt-out. Opted-out leads will no longer be sent SMS, Calls, or Emails. |
| POST /api/v1/leads/:caller_id/caller_remove | Remove a single lead from a Schedule or Offer. This will prevent ANY additional actions being taken on behalf of the lead. |
| PUT /api/v1/leads/:caller_id/caller_move_to_end_of_schedule | Move a lead to the end of it's schedule. |
Leads Manage the leads in your Trackdrive account via API.
| Resource | Description |
|---|---|
| GET /api/v1/leads | List your leads. |
| GET /api/v1/leads/:id | Get details about a lead. |
| GET /api/v1/leads/:id/buyer_is_available | Check if a lead has a potential buyer available that matches the lead's filters. |
| GET /api/v1/leads/:lead_token/:caller_number/by_caller_number | Get a lead by lead token and caller number. |
| PUT /api/v1/leads/:id | Update a lead by uuid. |
| GET /api/v1/leads/new | Build a new lead with company defaults. |
| DELETE /api/v1/leads/:id/id | Destory a lead by it's internal id. |
| GET /api/v1/leads/reports | Get statistics on leads by category. |
Leads: Retargeting API resource for managing Lead Retargeting.
| Resource | Description |
|---|---|
| GET /api/v1/lead_retargets | List Lead Retargeting records. |
| GET /api/v1/lead_retargets/new | Build Lead Retargeting with defaults. |
| POST /api/v1/lead_retargets | Create Lead Retargeting. |
| GET /api/v1/lead_retargets/:id | Get Lead Retargeting by id. |
| PUT /api/v1/lead_retargets/:id | Update Lead Retargeting by id. |
| DELETE /api/v1/lead_retargets/:id | Destroy Lead Retargeting by id. |
Leads: Retargeting: Logs API resource for accessing Lead Retarget Logs.
| Resource | Description |
|---|---|
| GET /api/v1/lead_retarget_logs | List Lead Retarget Log records. |
Number Order API resource for managing Number Orders.
| Resource | Description |
|---|---|
| GET /api/v1/number_orders | List Number Orders. |
| GET /api/v1/number_orders/new | Build Number Order with defaults. |
| POST /api/v1/number_orders | Create Number Order. |
| GET /api/v1/number_orders/:id | Get Number Order by id. |
| PUT /api/v1/number_orders/:id | Update Number Order by id. |
| DELETE /api/v1/number_orders/:id | Destroy Number Order by id. |
Number Order Prefix API resource for managing Number Order Prefix.
| Resource | Description |
|---|---|
| GET /api/v1/number_order_prefixes | List Number Order Prefix records. |
| GET /api/v1/number_order_prefixes/new | Build Number Order Prefix with defaults. |
| POST /api/v1/number_order_prefixes | Create Number Order Prefix. |
| GET /api/v1/number_order_prefixes/:id | Get Number Order Prefix by id. |
| PUT /api/v1/number_order_prefixes/:id | Update Number Order Prefix by id. |
| DELETE /api/v1/number_order_prefixes/:id | Destroy Number Order Prefix by id. |
Oauth Connection API resource for managing Oauth Connection.
| Resource | Description |
|---|---|
| GET /api/v1/oauth_connections | List Oauth Connection records. |
| GET /api/v1/oauth_connections/new | Build Oauth Connection with defaults. |
| POST /api/v1/oauth_connections | Create Oauth Connection. |
| GET /api/v1/oauth_connections/:id | Get Oauth Connection by id. |
| PUT /api/v1/oauth_connections/:id | Update Oauth Connection by id. |
| DELETE /api/v1/oauth_connections/:id | Destroy Oauth Connection by id. |
Offers The set of offers in your account.
| Resource | Description |
|---|---|
| GET /api/v1/offers | List Offer records. |
| GET /api/v1/offers/:id | Get Offer by id. |
| GET /api/v1/offers/new | Build Offer with defaults. |
| POST /api/v1/offers | Create Offer. |
| PUT /api/v1/offers/:id | Update Offer by id. |
| DELETE /api/v1/offers/:id | Destroy Offer by id. |
Offers: AMD Flows API resource for managing AMD Flows.
| Resource | Description |
|---|---|
| GET /api/v1/offer_amd_flows | List AMD Flow records. |
| GET /api/v1/offer_amd_flows/new | Build AMD Flow with defaults. |
| POST /api/v1/offer_amd_flows | Create AMD Flow. |
| GET /api/v1/offer_amd_flows/:id | Get AMD Flow by id. |
| PUT /api/v1/offer_amd_flows/:id | Update AMD Flow by id. |
| DELETE /api/v1/offer_amd_flows/:id | Destroy AMD Flow by id. |
Offers: Agent Scripts API resource for managing an offer's agent scripts.
| Resource | Description |
|---|---|
| GET /api/v1/contact_field_views | List records. |
| GET /api/v1/contact_field_views/new | Build record with defaults. |
| POST /api/v1/contact_field_views | Create record. |
| GET /api/v1/contact_field_views/:id | Get record by id. |
| PUT /api/v1/contact_field_views/:id | Update record by id. |
| DELETE /api/v1/contact_field_views/:id | Destroy record by id. |
Offers: Call Flow API resource for managing Call Flow. This resource is used to manage rules for Call Handling, Exception Handling, and Hold Queue Handling.
| Resource | Description |
|---|---|
| GET /api/v1/call_routers | List Call Flow records. |
| GET /api/v1/call_routers/new | Build Call Flow Rule with defaults. |
| POST /api/v1/call_routers | Create Call Flow Rule. |
| GET /api/v1/call_routers/:id | Get Call Flow Rule by id. |
| PUT /api/v1/call_routers/:id | Update Call Flow Rule by id. |
| DELETE /api/v1/call_routers/:id | Destroy Call Flow Rule by id. |
Offers: Call Flow: Answer Groups API resource for managing Call Flow Answer Groups.
| Resource | Description |
|---|---|
| GET /api/v1/call_router_answer_groups | List Answer Group records. |
| GET /api/v1/call_router_answer_groups/new | Build Answer Group with defaults. |
| POST /api/v1/call_router_answer_groups | Create Answer Group. |
| GET /api/v1/call_router_answer_groups/:id | Get Answer Group by id. |
| PUT /api/v1/call_router_answer_groups/:id | Update Answer Group by id. |
| DELETE /api/v1/call_router_answer_groups/:id | Destroy Answer Group by id. |
Offers: Call Flow: Answers API resource for managing Call Flow Answers.
| Resource | Description |
|---|---|
| GET /api/v1/call_router_answers | List Answer records. |
| GET /api/v1/call_router_answers/new | Build Answer with defaults. |
| POST /api/v1/call_router_answers | Create Answer. |
| GET /api/v1/call_router_answers/:id | Get Answer by id. |
| PUT /api/v1/call_router_answers/:id | Update Answer by id. |
| DELETE /api/v1/call_router_answers/:id | Destroy Answer by id. |
Offers: Contact Fields API resource for managing an offer's contact fields.
| Resource | Description |
|---|---|
| GET /api/v1/contact_fields | List records. |
| GET /api/v1/contact_fields/new | Build record with defaults. |
| POST /api/v1/contact_fields | Create record. |
| GET /api/v1/contact_fields/:id | Get record by id. |
| PUT /api/v1/contact_fields/:id | Update record by id. |
| DELETE /api/v1/contact_fields/:id | Destroy record by id. |
Offers: Contact Fields: Picklist Values API resource for managing a contact field's picklist values.
| Resource | Description |
|---|---|
| GET /api/v1/contact_field_values | List records. |
| GET /api/v1/contact_field_values/new | Build record with defaults. |
| POST /api/v1/contact_field_values | Create record. |
| GET /api/v1/contact_field_values/:id | Get record by id. |
| PUT /api/v1/contact_field_values/:id | Update record by id. |
| DELETE /api/v1/contact_field_values/:id | Destroy record by id. |
Offers: Impression Tokens Define the unique url parameters that will be tracked when using Dynamic Number Insertion For example google clickIDs can be tracked: gclid
| Resource | Description |
|---|---|
| GET /api/v1/visitor_token_matchers | List records. |
| GET /api/v1/visitor_token_matchers/new | Build record with defaults. |
| POST /api/v1/visitor_token_matchers | Create record. |
| GET /api/v1/visitor_token_matchers/:id | Get record by id. |
| PUT /api/v1/visitor_token_matchers/:id | Update record by id. |
| DELETE /api/v1/visitor_token_matchers/:id | Destroy record by id. |
Offers: Incoming Webhooks API resource for managing Incoming Webhook.
| Resource | Description |
|---|---|
| POST /api/v1/inbound_webhooks/ping/:vanity_uri | PING an inbound webhook to retrieve available agents or buyers. |
| POST /api/v1/inbound_webhooks/post/:vanity_uri | POST with a ping_id to retrieve a tracking number for forwarding an inbound call to a matching buyer. |
| GET /api/v1/inbound_webhooks | List Incoming Webhook records. |
| GET /api/v1/inbound_webhooks/new | Build Incoming Webhook with defaults. |
| POST /api/v1/inbound_webhooks | Create Incoming Webhook. |
| GET /api/v1/inbound_webhooks/:id | Get Incoming Webhook by id. |
| PUT /api/v1/inbound_webhooks/:id | Update Incoming Webhook by id. |
| DELETE /api/v1/inbound_webhooks/:id | Destroy Incoming Webhook by id. |
Offers: Incoming Webhooks: Logs API resource for managing Ping/Post Logs.
| Resource | Description |
|---|---|
| GET /api/v1/inbound_webhook_logs | List Ping/Post Logs records. |
Offers: Key Press Flow API resource for managing Key Press Flow.
| Resource | Description |
|---|---|
| GET /api/v1/key_press_flows | List Key Press Flow records. |
| GET /api/v1/key_press_flows/new | Build Key Press Flow with defaults. |
| POST /api/v1/key_press_flows | Create Key Press Flow. |
| GET /api/v1/key_press_flows/:id | Get Key Press Flow by id. |
| PUT /api/v1/key_press_flows/:id | Update Key Press Flow by id. |
| DELETE /api/v1/key_press_flows/:id | Destroy Key Press Flow by id. |
Offers: Key Press Flow Group API resource for managing Key Press Flow Group.
| Resource | Description |
|---|---|
| GET /api/v1/key_press_flow_groups | List Key Press Flow Group records. |
| GET /api/v1/key_press_flow_groups/new | Build Key Press Flow Group with defaults. |
| POST /api/v1/key_press_flow_groups | Create Key Press Flow Group. |
| GET /api/v1/key_press_flow_groups/:id | Get Key Press Flow Group by id. |
| PUT /api/v1/key_press_flow_groups/:id | Update Key Press Flow Group by id. |
| DELETE /api/v1/key_press_flow_groups/:id | Destroy Key Press Flow Group by id. |
Offers: Optimizer Tokens API resource for managing an offer's optimizer tokens.
| Resource | Description |
|---|---|
| GET /api/v1/token_matchers | List records. |
| GET /api/v1/token_matchers/new | Build record with defaults. |
| POST /api/v1/token_matchers | Create record. |
| GET /api/v1/token_matchers/:id | Get record by id. |
| PUT /api/v1/token_matchers/:id | Update record by id. |
| DELETE /api/v1/token_matchers/:id | Destroy record by id. |
Offers: Traffic Source Payouts API resource for managing Traffic Source Payouts.
| Resource | Description |
|---|---|
| GET /api/v1/offer_conversions | List Traffic Source Payouts. |
| GET /api/v1/offer_conversions/new | Build Traffic Source Payout with defaults. |
| GET /api/v1/offer_conversions/:id | Get Traffic Source Payout by id. |
| POST /api/v1/offer_conversions | Create Traffic Source Payout. |
| PUT /api/v1/offer_conversions/:id | Update Traffic Source Payout by id. |
| DELETE /api/v1/offer_conversions/:id | Destroy Traffic Source Payout by id. |
Outgoing Webhooks Webhooks (also known as Postbacks) fire when a triggers occurs, such as a buyer being dialed or a call ending.
| Resource | Description |
|---|---|
| GET /api/v1/outgoing_webhooks | List webhooks |
| GET /api/v1/outgoing_webhooks/new | Build a new webhook |
| POST /api/v1/outgoing_webhooks | Create a webhook |
| GET /api/v1/outgoing_webhooks/:id | Show the details of a webhook |
| PUT /api/v1/outgoing_webhooks/:id | Update a webhook |
| DELETE /api/v1/outgoing_webhooks/:id | Delete a webhook |
Outgoing Webhooks: Logs API resource for viewing Webhook Request Logs.
| Resource | Description |
|---|---|
| GET /api/v1/webhook_logs | List Webhook Logs. |
| GET /api/v1/webhook_logs/:id | Show A Webhook Log. |
Outgoing Webhooks: Manually Fire A Webhook API resource for manually firing Webhooks for testing purposes.
| Resource | Description |
|---|---|
| GET /api/v1/webhook_manual_fires | List Test Webhooks |
| GET /api/v1/webhook_manual_fires/new | Build A Manual Webhook Fire Instance |
| POST /api/v1/webhook_manual_fires | Manually Fire A Webhook |
| GET /api/v1/webhook_manual_fires/:id | Get A Manually Fired Webhook |
Outgoing Webhooks: URLs Configure the URLs that fire when an Outgoing Webhook is triggered.
| Resource | Description |
|---|---|
| GET /api/v1/outgoing_webhook_urls | List webhook urls |
| GET /api/v1/outgoing_webhook_urls/new | Build a new webhook url |
| POST /api/v1/outgoing_webhook_urls | Create a webhook url |
| GET /api/v1/outgoing_webhook_urls/:id | Show the details of a webhook url |
| PUT /api/v1/outgoing_webhook_urls/:id | Update a webhook url |
| DELETE /api/v1/outgoing_webhook_urls/:id | Delete a webhook url |
Phone Number Pools API resource for managing Phone Number Pool.
| Resource | Description |
|---|---|
| GET /api/v1/ring_pools | List Phone Number Pools. |
| GET /api/v1/ring_pools/new | Build Phone Number Pool with defaults. |
| POST /api/v1/ring_pools | Create Phone Number Pool. |
| GET /api/v1/ring_pools/:id | Get Phone Number Pool by id. |
| PUT /api/v1/ring_pools/:id | Update Phone Number Pool by id. |
| DELETE /api/v1/ring_pools/:id | Destroy Phone Number Pool by id. |
Phone_numbers The phone numbers in your Trackdrive account.
| Resource | Description |
|---|---|
| GET /api/v1/phone_numbers | Get the phone numbers assigned to your account. |
| POST /api/v1/phone_numbers | Purchase a new phone number using one of your existing provider configurations. |
| GET /api/v1/phone_numbers/:id | Show the details of phone number |
| PUT /api/v1/phone_numbers/:id | Update a phone number's traffic source or Number Pool |
| DELETE /api/v1/phone_numbers/:id | Unrent a phone number. |
| GET /api/v1/phone_numbers/search | Search available phone numbers for purchase |
Playlists API resource for managing Playlist.
| Resource | Description |
|---|---|
| GET /api/v1/sound_playlists | List Playlist records. |
| GET /api/v1/sound_playlists/new | Build Playlist with defaults. |
| POST /api/v1/sound_playlists | Create Playlist. |
| GET /api/v1/sound_playlists/:id | Get Playlist by id. |
| PUT /api/v1/sound_playlists/:id | Update Playlist by id. |
| DELETE /api/v1/sound_playlists/:id | Destroy Playlist by id. |
Playlists: Sound Files API resource for managing Sound File.
| Resource | Description |
|---|---|
| GET /api/v1/sound_files | List Sound File records. |
| GET /api/v1/sound_files/new | Build Sound File with defaults. |
| POST /api/v1/sound_files | Create Sound File. |
| GET /api/v1/sound_files/:id | Get Sound File by id. |
| PUT /api/v1/sound_files/:id | Update Sound File by id. |
| DELETE /api/v1/sound_files/:id | Destroy Sound File by id. |
SIP Header Parsing API resource for managing SIP Header Parsing.
| Resource | Description |
|---|---|
| GET /api/v1/sip_header_parser_groups | List SIP Header Parsing records. |
| GET /api/v1/sip_header_parser_groups/new | Build SIP Header Parsing with defaults. |
| POST /api/v1/sip_header_parser_groups | Create SIP Header Parsing. |
| GET /api/v1/sip_header_parser_groups/:id | Get SIP Header Parsing by id. |
| PUT /api/v1/sip_header_parser_groups/:id | Update SIP Header Parsing by id. |
| DELETE /api/v1/sip_header_parser_groups/:id | Destroy SIP Header Parsing by id. |
SIP Key API resource for managing SIP Key.
| Resource | Description |
|---|---|
| GET /api/v1/sip_header_parsers | List SIP Key records. |
| GET /api/v1/sip_header_parsers/new | Build SIP Key with defaults. |
| POST /api/v1/sip_header_parsers | Create SIP Key. |
| GET /api/v1/sip_header_parsers/:id | Get SIP Key by id. |
| PUT /api/v1/sip_header_parsers/:id | Update SIP Key by id. |
| DELETE /api/v1/sip_header_parsers/:id | Destroy SIP Key by id. |
SMS Flow API resource for managing SMS Flow.
| Resource | Description |
|---|---|
| GET /api/v1/text_message_flows | List SMS Flow records. |
| GET /api/v1/text_message_flows/new | Build SMS Flow with defaults. |
| POST /api/v1/text_message_flows | Create SMS Flow. |
| GET /api/v1/text_message_flows/:id | Get SMS Flow by id. |
| PUT /api/v1/text_message_flows/:id | Update SMS Flow by id. |
| DELETE /api/v1/text_message_flows/:id | Destroy SMS Flow by id. |
SMS: Incoming Text Messages API resource for managing Incoming Text Message.
| Resource | Description |
|---|---|
| GET /api/v1/incoming_text_messages | List Incoming Text Message records. |
| GET /api/v1/incoming_text_messages/:id | Get Incoming Text Message by id. |
SMS: Outgoing Text Messages Sends a message by submitting an outbound message request.
| Resource | Description |
|---|---|
| POST /api/v1/text_messages | Sends a message by submitting an outbound message request. |
| GET /api/v1/text_messages | Retrieves details about text messages. |
| GET /api/v1/text_messages/:id | Retrieves details about a specific text message request. |
Schedules API resource for managing Schedules.
| Resource | Description |
|---|---|
| GET /api/v1/schedules | List Schedules. |
| GET /api/v1/schedules/new | Build Schedule with defaults. |
| POST /api/v1/schedules | Create Schedule. |
| POST /api/v1/schedules/make_call | Place an outbound call immediately to a lead (the "promote" action). |
| GET /api/v1/schedules/:id | Get Schedule by id. |
| PUT /api/v1/schedules/:id | Update Schedule by id. |
| DELETE /api/v1/schedules/:id | Destroy Schedule by id. |
Schedules: Actions Manage the actions of a schedule.
| Resource | Description |
|---|---|
| GET /api/v1/schedule_actions | List schedule actions. |
| GET /api/v1/schedule_actions/new | Build a schedule action with default attributes. |
| POST /api/v1/schedule_actions | Create a schedule action. |
| GET /api/v1/schedule_actions/:id | Get details about a schedule action. |
| PUT /api/v1/schedule_actions/:id | Update a schedule action. |
| DELETE /api/v1/schedule_actions/:id | Destroy a schedule action. |
Schedules: Lead Distribution Route incoming leads to different schedules based on predefined filters. Configure filters using attributes such as geographic location, interest, lead score, or custom fields. When a new lead is received, the API evaluates these filters to automatically assign the lead to the appropriate schedule. This feature streamlines the lead distribution process, enabling quicker response times and more targeted engagement.
| Resource | Description |
|---|---|
| GET /api/v1/schedule_distributions | List Distribution records. |
| GET /api/v1/schedule_distributions/new | Build Distribution with defaults. |
| POST /api/v1/schedule_distributions | Create Distribution. |
| GET /api/v1/schedule_distributions/:id | Get Distribution by id. |
| PUT /api/v1/schedule_distributions/:id | Update Distribution by id. |
| DELETE /api/v1/schedule_distributions/:id | Destroy Distribution by id. |
Schedules: Number Pools Assign multiple number pools to a schedule with filters. When placing outbound calls, the system evaluates filters in sort order and uses the first matching number pool. When no filters match, the last number pool in the list is used as the fallback.
| Resource | Description |
|---|---|
| GET /api/v1/schedule_ring_pools | List Schedule Number Pool records. |
| GET /api/v1/schedule_ring_pools/new | Build Schedule Number Pool with defaults. |
| POST /api/v1/schedule_ring_pools | Create Schedule Number Pool. |
| GET /api/v1/schedule_ring_pools/:id | Get Schedule Number Pool by id. |
| PUT /api/v1/schedule_ring_pools/:id | Update Schedule Number Pool by id. |
| DELETE /api/v1/schedule_ring_pools/:id | Destroy Schedule Number Pool by id. |
Schedules: Triggers The End Of Schedule Triggers in your account. Leads will be moved to "End Of Schedule Actions" when any of the triggers below match.
| Resource | Description |
|---|---|
| GET /api/v1/schedule_triggers | Search for Schedule Triggers |
| GET /api/v1/schedule_triggers/new | Returns a new Schedule Trigger |
| POST /api/v1/schedule_triggers | Create a Schedule Trigger |
| GET /api/v1/schedule_triggers/:id | Returns a Schedule Trigger by ID |
| PUT /api/v1/schedule_triggers/:id | Updates a Schedule Trigger by ID |
| DELETE /api/v1/schedule_triggers/:id | Delete a Schedule Trigger by ID |
Secret API resource for managing Secret.
| Resource | Description |
|---|---|
| GET /api/v1/secret_items | List Secret records. |
| GET /api/v1/secret_items/new | Build Secret with defaults. |
| POST /api/v1/secret_items | Create Secret. |
| GET /api/v1/secret_items/:id | Get Secret by id. |
| PUT /api/v1/secret_items/:id | Update Secret by id. |
| DELETE /api/v1/secret_items/:id | Destroy Secret by id. |
Sip Header API resource for managing Sip Header.
| Resource | Description |
|---|---|
| GET /api/v1/sip_headers | List Sip Header records. |
| GET /api/v1/sip_headers/new | Build Sip Header with defaults. |
| POST /api/v1/sip_headers | Create Sip Header. |
| GET /api/v1/sip_headers/:id | Get Sip Header by id. |
| PUT /api/v1/sip_headers/:id | Update Sip Header by id. |
| DELETE /api/v1/sip_headers/:id | Destroy Sip Header by id. |
Standalone Transcription API resource for managing Standalone Transcription.
| Resource | Description |
|---|---|
| GET /api/v1/standalone_transcriptions | List Standalone Transcription records. |
| GET /api/v1/standalone_transcriptions/new | Build Standalone Transcription with defaults. |
| POST /api/v1/standalone_transcriptions | Create Standalone Transcription. |
| GET /api/v1/standalone_transcriptions/:id | Get Standalone Transcription by id. |
| DELETE /api/v1/standalone_transcriptions/:id | Destroy Standalone Transcription by id. |
State Call Frequency API resource for managing State Call Frequency.
| Resource | Description |
|---|---|
| GET /api/v1/state_call_limits | List State Call Frequency records. |
| GET /api/v1/state_call_limits/new | Build State Call Frequency with defaults. |
| POST /api/v1/state_call_limits | Create State Call Frequency. |
| GET /api/v1/state_call_limits/:id | Get State Call Frequency by id. |
| PUT /api/v1/state_call_limits/:id | Update State Call Frequency by id. |
| DELETE /api/v1/state_call_limits/:id | Destroy State Call Frequency by id. |
State Call Rules API resource for managing State Call Rules.
| Resource | Description |
|---|---|
| GET /api/v1/state_rule_groups | List State Call Rules records. |
| GET /api/v1/state_rule_groups/new | Build State Call Rules with defaults. |
| POST /api/v1/state_rule_groups | Create State Call Rules. |
| GET /api/v1/state_rule_groups/:id | Get State Call Rules by id. |
| PUT /api/v1/state_rule_groups/:id | Update State Call Rules by id. |
| DELETE /api/v1/state_rule_groups/:id | Destroy State Call Rules by id. |
State Call Time API resource for managing State Call Time.
| Resource | Description |
|---|---|
| GET /api/v1/state_business_hours | List State Call Time records. |
| GET /api/v1/state_business_hours/new | Build State Call Time with defaults. |
| POST /api/v1/state_business_hours | Create State Call Time. |
| GET /api/v1/state_business_hours/:id | Get State Call Time by id. |
| PUT /api/v1/state_business_hours/:id | Update State Call Time by id. |
| DELETE /api/v1/state_business_hours/:id | Destroy State Call Time by id. |
State Holiday API resource for managing State Holiday.
| Resource | Description |
|---|---|
| GET /api/v1/state_holidays | List State Holiday records. |
| GET /api/v1/state_holidays/new | Build State Holiday with defaults. |
| POST /api/v1/state_holidays | Create State Holiday. |
| GET /api/v1/state_holidays/:id | Get State Holiday by id. |
| PUT /api/v1/state_holidays/:id | Update State Holiday by id. |
| DELETE /api/v1/state_holidays/:id | Destroy State Holiday by id. |
Suppression File API resource for managing Suppression File.
| Resource | Description |
|---|---|
| GET /api/v1/buyer_suppression_files | List Suppression File records. |
| GET /api/v1/buyer_suppression_files/new | Build Suppression File with defaults. |
| POST /api/v1/buyer_suppression_files | Create Suppression File. |
| GET /api/v1/buyer_suppression_files/:id | Get Suppression File by id. |
| PUT /api/v1/buyer_suppression_files/:id | Update Suppression File by id. |
Suppression Lists API resource for managing suppression lists on offers, schedules, and buyers.
| Resource | Description |
|---|---|
| GET /api/v1/buyer_suppressions | List suppression lists. |
| GET /api/v1/buyer_suppressions/new | Build suppression list with defaults. |
| POST /api/v1/buyer_suppressions | Create suppression list. |
| GET /api/v1/buyer_suppressions/:id | Get suppression list by id. |
| PUT /api/v1/buyer_suppressions/:id | Update suppression list by id. |
| DELETE /api/v1/buyer_suppressions/:id | Destroy suppression list by id. |
| POST /api/v1/buyer_suppressions/:id/caller_block | Add individual phone numbers to a suppression list. |
| POST /api/v1/buyer_suppressions/:id/caller_unblock | Remove individual phone numbers from a suppression list. |
System Logs An audit log of system-related changes in your Trackdrive account.
| Resource | Description |
|---|---|
| GET /api/v1/system_logs | List System Log records. |
| GET /api/v1/system_logs/:id | Get System Log by id. |
Teams API resource for managing Teams.
| Resource | Description |
|---|---|
| GET /api/v1/access_control_lists | List Teams records. |
| GET /api/v1/access_control_lists/new | Build Team with defaults. |
| POST /api/v1/access_control_lists | Create Team |
| GET /api/v1/access_control_lists/:id | Get Teams by id. |
| PUT /api/v1/access_control_lists/:id | Update Team by id. |
| DELETE /api/v1/access_control_lists/:id | Destroy Team by id. |
Telephone Providers The Phone Providers in your Trackdrive account. One of: Trackdrive, Twilio, and Plivo.
| Resource | Description |
|---|---|
| GET /api/v1/provider_configurations | List Phone Providers |
| GET /api/v1/provider_configurations/:id | Find Specific Phone Provider |
| PUT /api/v1/provider_configurations/:id | Update Specific Phone Provider |
Token The tokens in your Trackdrive account.
| Resource | Description |
|---|---|
| GET /api/v1/tokens | List Tokens. |
| GET /api/v1/tokens/:id | Get Token by id. |
| GET /api/v1/tokens/new | Build Token with defaults. |
| PUT /api/v1/tokens/:id | Update Token by id. |
| DELETE /api/v1/tokens/:id | Destroy Token by id. |
| GET /api/v1/tokens/fields | Get Token by id. |
Tokens: Values The token values in your Trackdrive account.
| Resource | Description |
|---|---|
| GET /api/v1/token_values | List your token values. |
Traffic Source Rate Limiters Manage reusable rate limit configurations for traffic sources.
| Resource | Description |
|---|---|
| GET /api/v1/traffic_source_rate_limiters | List all traffic source rate limiters. |
| GET /api/v1/traffic_source_rate_limiters/new | Build a new traffic source rate limiter. |
| POST /api/v1/traffic_source_rate_limiters | Create a traffic source rate limiter. |
| GET /api/v1/traffic_source_rate_limiters/:id | Show a traffic source rate limiter. |
| PUT /api/v1/traffic_source_rate_limiters/:id | Update a traffic source rate limiter. |
| DELETE /api/v1/traffic_source_rate_limiters/:id | Delete a traffic source rate limiter. |
Traffic Source Rate Limits Manage per-traffic-source rate limit entries.
| Resource | Description |
|---|---|
| GET /api/v1/traffic_source_rate_limits | List all traffic source rate limits. |
| GET /api/v1/traffic_source_rate_limits/new | Build a new traffic source rate limit. |
| POST /api/v1/traffic_source_rate_limits | Create a traffic source rate limit. |
| GET /api/v1/traffic_source_rate_limits/:id | Show a traffic source rate limit. |
| PUT /api/v1/traffic_source_rate_limits/:id | Update a traffic source rate limit. |
| DELETE /api/v1/traffic_source_rate_limits/:id | Delete a traffic source rate limit. |
Traffic Sources The traffic sources in your account.
| Resource | Description |
|---|---|
| GET /api/v1/traffic_sources | Get traffic sources matching filters. |
| POST /api/v1/traffic_sources | Create Traffic Source. |
| GET /api/v1/traffic_sources/:id | Get Traffic Source by id. |
| PUT /api/v1/traffic_sources/:id | Update Traffic Source by id. |
| DELETE /api/v1/traffic_sources/:id | Destroy Traffic Source by id. |
Transcription API resource for managing Transcription.
| Resource | Description |
|---|---|
| GET /api/v1/transcriptions | List Transcription records. |
| GET /api/v1/transcriptions/:id | Get Transcription by id. |
Transcription Flow API resource for managing Transcription Flow.
| Resource | Description |
|---|---|
| GET /api/v1/transcription_flows | List Transcription Flow records. |
| GET /api/v1/transcription_flows/new | Build Transcription Flow with defaults. |
| POST /api/v1/transcription_flows | Create Transcription Flow. |
| GET /api/v1/transcription_flows/:id | Get Transcription Flow by id. |
| PUT /api/v1/transcription_flows/:id | Update Transcription Flow by id. |
| DELETE /api/v1/transcription_flows/:id | Destroy Transcription Flow by id. |
Transcription Flow Group API resource for managing Transcription Flow Group.
| Resource | Description |
|---|---|
| GET /api/v1/transcription_flow_groups | List Transcription Flow Group records. |
| GET /api/v1/transcription_flow_groups/new | Build Transcription Flow Group with defaults. |
| POST /api/v1/transcription_flow_groups | Create Transcription Flow Group. |
| GET /api/v1/transcription_flow_groups/:id | Get Transcription Flow Group by id. |
| PUT /api/v1/transcription_flow_groups/:id | Update Transcription Flow Group by id. |
| DELETE /api/v1/transcription_flow_groups/:id | Destroy Transcription Flow Group by id. |
Transcription Keyword API resource for managing Transcription Keyword.
| Resource | Description |
|---|---|
| GET /api/v1/transcription_keywords | List Transcription Keyword records. |
| GET /api/v1/transcription_keywords/new | Build Transcription Keyword with defaults. |
| POST /api/v1/transcription_keywords | Create Transcription Keyword. |
| GET /api/v1/transcription_keywords/:id | Get Transcription Keyword by id. |
| PUT /api/v1/transcription_keywords/:id | Update Transcription Keyword by id. |
| DELETE /api/v1/transcription_keywords/:id | Destroy Transcription Keyword by id. |
Translation missing: en.api.agent_status_timestamps.resource.name Translation missing: en.api.agent_status_timestamps.resource.short
| Resource | Description |
|---|---|
| GET /api/v1/agent_status_timestamps | Translation missing: en.api.agent_status_timestamps.index |
Uncompleted Calls API resource for managing Uncompleted Calls.
| Resource | Description |
|---|---|
| GET /api/v1/uncompleted_calls | List Uncompleted Calls records. |
Virtual Number API resource for managing Virtual Number.
| Resource | Description |
|---|---|
| GET /api/v1/virtual_numbers | List Virtual Number records. |
| GET /api/v1/virtual_numbers/new | Build Virtual Number with defaults. |
| POST /api/v1/virtual_numbers | Create Virtual Number. |
| GET /api/v1/virtual_numbers/:id | Get Virtual Number by id. |
| DELETE /api/v1/virtual_numbers/:id | Destroy Virtual Number by id. |
Wait Rule API resource for managing Wait Rule.
| Resource | Description |
|---|---|
| GET /api/v1/lead_wait_rules | List Wait Rule records. |
| GET /api/v1/lead_wait_rules/new | Build Wait Rule with defaults. |
| POST /api/v1/lead_wait_rules | Create Wait Rule. |
| GET /api/v1/lead_wait_rules/:id | Get Wait Rule by id. |
| PUT /api/v1/lead_wait_rules/:id | Update Wait Rule by id. |
| DELETE /api/v1/lead_wait_rules/:id | Destroy Wait Rule by id. |
Wait Rule Group API resource for managing Wait Rule Group.
| Resource | Description |
|---|---|
| GET /api/v1/lead_wait_rule_groups | List Wait Rule Group records. |
| GET /api/v1/lead_wait_rule_groups/new | Build Wait Rule Group with defaults. |
| POST /api/v1/lead_wait_rule_groups | Create Wait Rule Group. |
| GET /api/v1/lead_wait_rule_groups/:id | Get Wait Rule Group by id. |
| PUT /api/v1/lead_wait_rule_groups/:id | Update Wait Rule Group by id. |
| DELETE /api/v1/lead_wait_rule_groups/:id | Destroy Wait Rule Group by id. |
Webhook Param API resource for managing Webhook Param.
| Resource | Description |
|---|---|
| GET /api/v1/webhook_params | List Webhook Param records. |
| GET /api/v1/webhook_params/new | Build Webhook Param with defaults. |
| POST /api/v1/webhook_params | Create Webhook Param. |
| GET /api/v1/webhook_params/:id | Get Webhook Param by id. |
| PUT /api/v1/webhook_params/:id | Update Webhook Param by id. |
| DELETE /api/v1/webhook_params/:id | Destroy Webhook Param by id. |
Webhook Subscriptions Subscribe to events and then wait for Trackdrive to deliver the payload when things happen. The gist is: you POST a subscription to /api/v1/subscription/ requesting to receive hooks at some target URL. Every time the event happens, Trackdrive pings you at the target URL with the payload.
| Resource | Description |
|---|---|
| GET /api/v1/subscriptions | List Subscriptions |
| GET /api/v1/webhook_subscriptions/new | Build Webhook Subscription with defaults. |
| POST /api/v1/subscriptions | Create a subscription |
| GET /api/v1/subscriptions/:id | Get a subscription |
| PUT /api/v1/subscriptions/:id | Update a subscription |
| DELETE /api/v1/subscriptions/:id | Delete a subscription |
| DELETE /api/v1/subscriptions | Delete a subscription matching a target_url |
Your Companies API resource for viewing the Trackdrive Companies you can access.
| Resource | Description |
|---|---|
| GET /api/v1/companies | List the Trackdrive Companies you can access. |
| GET /api/v1/companies/:id | Get Company by id. |
Zip Code Lists API resource for managing Zip Code List.
| Resource | Description |
|---|---|
| GET /api/v1/zip_code_lists | List Zip Code List records. |
| GET /api/v1/zip_code_lists/new | Build Zip Code List with defaults. |
| POST /api/v1/zip_code_lists | Create Zip Code List. |
| GET /api/v1/zip_code_lists/:id | Get Zip Code List by id. |
| PUT /api/v1/zip_code_lists/:id | Update Zip Code List by id. |
| DELETE /api/v1/zip_code_lists/:id | Destroy Zip Code List by id. |
Zip Code Lists: CSV Files API resource for managing Zip CSV File.
| Resource | Description |
|---|---|
| GET /api/v1/zip_code_list_files | List Zip CSV File records. |
| GET /api/v1/zip_code_list_files/new | Build Zip CSV File with defaults. |
| POST /api/v1/zip_code_list_files | Create Zip CSV File. |
| GET /api/v1/zip_code_list_files/:id | Get Zip CSV File by id. |
| PUT /api/v1/zip_code_list_files/:id | Update Zip CSV File by id. |
| DELETE /api/v1/zip_code_list_files/:id | Destroy Zip CSV File by id. |
Zoho Action API resource for managing Zoho Action.
| Resource | Description |
|---|---|
| GET /api/v1/zoho_crm_commands | List Zoho Action records. |
| GET /api/v1/zoho_crm_commands/new | Build Zoho Action with defaults. |
| POST /api/v1/zoho_crm_commands | Create Zoho Action. |
| GET /api/v1/zoho_crm_commands/:id | Get Zoho Action by id. |
| PUT /api/v1/zoho_crm_commands/:id | Update Zoho Action by id. |
| DELETE /api/v1/zoho_crm_commands/:id | Destroy Zoho Action by id. |